package com.bonus.core.customer.v4.web.vo;

import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class CardInfoDetailVO {
   @ApiModelProperty("人员id")
   private Long custId;
   @ApiModelProperty("人员限制id")
   private Integer custLimitId;
   @ApiModelProperty("人员编号")
   private String custNum;
   @ApiModelProperty("人员姓名")
   private String custName;
   @ApiModelProperty("手机号")
   private String mobile;
   @ApiModelProperty("所属组织id")
   private Long orgId;
   @ApiModelProperty("机构全称")
   private String orgFullName;
   @ApiModelProperty("所属位置")
   private Long placeId;
   @ApiModelProperty("位置全称")
   private String placeFullName;
   @ApiModelProperty("人员类别")
   private Integer psnType;
   @ApiModelProperty("人员类别名称")
   private String psnTypeName;
   @ApiModelProperty("人员卡片集合")
   private List<CardInfoVO> cardInfoList;

   public Long getCustId() {
      return this.custId;
   }

   public Integer getCustLimitId() {
      return this.custLimitId;
   }

   public String getCustNum() {
      return this.custNum;
   }

   public String getCustName() {
      return this.custName;
   }

   public String getMobile() {
      return this.mobile;
   }

   public Long getOrgId() {
      return this.orgId;
   }

   public String getOrgFullName() {
      return this.orgFullName;
   }

   public Long getPlaceId() {
      return this.placeId;
   }

   public String getPlaceFullName() {
      return this.placeFullName;
   }

   public Integer getPsnType() {
      return this.psnType;
   }

   public String getPsnTypeName() {
      return this.psnTypeName;
   }

   public List<CardInfoVO> getCardInfoList() {
      return this.cardInfoList;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setCustLimitId(final Integer custLimitId) {
      this.custLimitId = custLimitId;
   }

   public void setCustNum(final String custNum) {
      this.custNum = custNum;
   }

   public void setCustName(final String custName) {
      this.custName = custName;
   }

   public void setMobile(final String mobile) {
      this.mobile = mobile;
   }

   public void setOrgId(final Long orgId) {
      this.orgId = orgId;
   }

   public void setOrgFullName(final String orgFullName) {
      this.orgFullName = orgFullName;
   }

   public void setPlaceId(final Long placeId) {
      this.placeId = placeId;
   }

   public void setPlaceFullName(final String placeFullName) {
      this.placeFullName = placeFullName;
   }

   public void setPsnType(final Integer psnType) {
      this.psnType = psnType;
   }

   public void setPsnTypeName(final String psnTypeName) {
      this.psnTypeName = psnTypeName;
   }

   public void setCardInfoList(final List<CardInfoVO> cardInfoList) {
      this.cardInfoList = cardInfoList;
   }

}
